const express = require('express');
const router = express.Router();

// http get
// http://localhost:4001/

router.get('/', (req, res) => {
    res.status(200).json({info: 'Application is working fine'});
});

// http post
// http://localhost:4001/set?id=2f4c0e2d-7cbc-41f0-9636-0f6e39b55b46&full_name=Daniel

router.post('/set', (req, res) => {
    console.log('Setting cookie');

    let obj = {
        id: req.query.id,
        full_name: req.query.full_name
    };

    res.status(201)
        .cookie('emp', obj, {maxAge: 360000})   //The cookie will expire after 360000 ms from the time it is set.
        .json({info: 'Cookie set successfully'});
});

// http get
// http://localhost:4001/get

router.get('/get', (req, res) => {
    console.log('Returning cookie');

    res.status(200).json({info: req.cookies});
});

// routes
module.exports = router;
